%global unicodedir %{_datadir}/unicode
%global emojidir %{unicodedir}/emoji

Summary:        Unicode Emoji Data Files
Name:           unicode-emoji
Version:        15.0
Release:        4%{?dist}
License:        Unicode-TOU
URL:            http://www.unicode.org/emoji/
Source0:        http://www.unicode.org/copyright.html
Source1:        https://www.unicode.org/Public/emoji/15.0/ReadMe.txt
Source2:        https://www.unicode.org/Public/15.0.0/ucd/emoji/emoji-data.txt
Source3:        https://www.unicode.org/Public/emoji/15.0/emoji-sequences.txt
Source4:        https://www.unicode.org/Public/emoji/15.0/emoji-test.txt
Source5:        https://www.unicode.org/Public/15.0.0/ucd/emoji/emoji-variation-sequences.txt
Source6:        https://www.unicode.org/Public/emoji/15.0/emoji-zwj-sequences.txt

BuildArch:      noarch

%description
Unicode Emoji Data Files are the machine-readable
emoji data files associated with
http://www.unicode.org/reports/tr51/index.html


%prep
%{nil}


%build
%{nil}


%install
cp -p %{SOURCE0} .
mkdir -p %{buildroot}%{emojidir}
cp -p %{SOURCE1} %{buildroot}%{emojidir}
cp -p %{SOURCE2} %{buildroot}%{emojidir}
cp -p %{SOURCE3} %{buildroot}%{emojidir}
cp -p %{SOURCE4} %{buildroot}%{emojidir}
cp -p %{SOURCE5} %{buildroot}%{emojidir}
cp -p %{SOURCE6} %{buildroot}%{emojidir}


%files
%license copyright.html
%dir %{unicodedir}
%dir %{emojidir}
%doc %{emojidir}/ReadMe.txt
%{emojidir}/emoji-*txt


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 15.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 15.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 15.0-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Mar 20 2023 rockerzhu <rockerzhu@tencent.com> - 15.0-1
- Initial build
